
QGIS Application - Bug report #18756

crash opening a map with UTF-8 character type

2018-04-18 06:26 PM - Alden Nascimento

Status: Rejected

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 26643

Description

Using a layer I noticed that the characters in the attribute table display incorrectly, so I set the character type for UTF-8, which corrected

the display problem.

After closing the application and opening the same project again resulted in the following error, which caused the crash in the application:

Um erro ocorreu enquanto executava o código Python:

AttributeError: 'QUrl' object has no attribute 'setEncodedUrl' 

Traceback (most recent call last):

  File "C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line

670, in update_local_layers

    self.update_local_data_sources(local_layers,  local_raster_layers)

  File "C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line

734, in update_local_data_sources

    table_name_item = QTableWidgetItem(self.launder_pg_name(table_name).decode('utf-8'))

  File "C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line

823, in launder_pg_name

    input_string = input_string.decode('utf-8')

AttributeError: 'str' object has no attribute 'decode'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\error_report_dialog.py", line 78,

in __reportError

    url.setEncodedUrl("mailto:support@qgiscloud.com?subject=%s&body=%s" % (

AttributeError: 'QUrl' object has no attribute 'setEncodedUrl'

Versão do Python: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

Versão do QGIS: 3.0.1-Girona Girona, a86bec25eb

Caminho do Python:

C:/Program Files/QGIS 3.0/apps/qgis/./python

C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/Program Files/QGIS 3.0/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.0\bin\python36.zip

C:\Program Files\QGIS 3.0\apps\Python36\DLLs

C:\Program Files\QGIS 3.0\apps\Python36\lib
C:\Program Files\QGIS 3.0\bin

C:\Program Files\QGIS 3.0\apps\Python36

C:\Program Files\QGIS 3.0\apps\Python36\lib\site-packages

C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/administrator/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\go2streetview

C:\Users\administrator\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\go2streetview\res

C:\Users\administrator\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

C:\Users\administrator\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

C:\Users\administrator\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\shapetools\ext-libs

Good Luck!

Thanks

History

#1 - 2018-04-18 09:18 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Rejected

This bug is in the qgis cloud plugin and needs to be filed with that plugin's author.
